#include <fcntl.h>
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <errno.h>

#include <sys/file.h>

int
main (int argc, char *argv[])
{
  int fd;
  const char *file = "test-flock.txt";
  int ret;

  /* Open a non-empty file for testing. */
  fd = open (file, O_RDWR | O_CREAT | O_TRUNC, 0644);
  if (!(fd >= 0))
    exit (1);
  if (!(write (fd, "hello", 5) == 5))
    exit (2);

  /* Some impossible operation codes which should never be accepted. */
  ret = flock (fd, LOCK_SH | LOCK_EX);
  printf ("%d %d\n", ret, errno);

  return 0;
}
